Skip to main content
GET
/
api
/
v1
/
org
/
support
/
tickets
/
{ticket_id}
Get Ticket Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/support/tickets/{ticket_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_name": "<string>",
  "ai_summary": "<string>",
  "is_tracked_by_team": false,
  "comments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "author_label": "<string>",
      "body": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "attachments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filename": "<string>",
      "content_type": "<string>",
      "size_bytes": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

ticket_id
string<uuid4>
required

Response

Successful Response

id
string<uuid>
required
organisation_id
string<uuid>
required
source
enum<string>
required
Available options:
portal,
api,
cli,
agent
category
enum<string>
required
Available options:
technical,
account,
billing,
bug,
feature_request,
other
subject
string
required
description
string
required
status
enum<string>
required
Available options:
pending_review,
open,
triaging,
in_progress,
waiting_customer,
resolved,
closed
ai_review_status
enum<string>
required
Available options:
pending,
passed,
flagged
created_at
string<date-time>
required
updated_at
string<date-time>
required
cluster_id
string<uuid> | null
cluster_name
string | null
severity
enum<string> | null
Available options:
low,
medium,
high,
critical
ai_summary
string | null
is_tracked_by_team
boolean
default:false
comments
TicketComment · object[]
attachments
TicketAttachment · object[]